<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/verdnatura_black">

        <!-- Toolbar en la parte superior -->
        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- Divider debajo del toolbar -->
        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/verdnatura_white"
            app:layout_constraintTop_toBottomOf="@id/main_toolbar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <!-- RecyclerView en la parte superior -->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/setttings_items"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/divider"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toTopOf="@id/scrollView"
            app:layout_constraintVertical_bias="0"
            />

        <!-- Contenedor de los demás datos debajo del RecyclerView -->
        <ScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/setttings_items"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent">
        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/navigation_row_min_padding"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/setttings_items"
            >

            <!-- Resto de los elementos, como versiones, usuarios, etc. -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/default_layout_margin"
                    android:text="@string/version"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/item_version"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/default_layout_margin"
                    android:text=""
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/default_layout_margin"
                    android:text="@string/user"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/user_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/default_layout_margin"
                    android:text=""
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/default_layout_margin"
                    android:text="@string/Androidid"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/androidid_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/default_layout_margin"
                    android:text=""
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1"
                    android:tooltipText="@string/copied" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="150dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/default_layout_margin"
                    android:text="@string/serialNumber"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/serial_number"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/default_layout_margin"
                    android:text=""
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body1" />
            </LinearLayout>
        </LinearLayout>
        </ScrollView>

        <!-- Splash progress en el centro de la pantalla -->
        <LinearLayout
            android:id="@+id/splash_progress"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@color/verdnatura_black_8_alpha_6"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <com.airbnb.lottie.LottieAnimationView
                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>
